### Method

# Clutter Path set_description

#### Declaration [src]

    gboolean
    clutter_path_set_description (
      ClutterPath* path,
      const gchar* str
    )

#### Description [src]

Replaces all of the nodes in the path with nodes described by `str`. See `clutter_path_add_string()` for details of the format.

If the string is invalid then `FALSE` is returned and the path is unaltered.

Sets property | `Clutter.Path:description`

#### Parameters

`str`

  Type: `const gchar*`

  A string describing the path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` is the path was valid, `FALSE` otherwise.